17119: update the Makefile and tools/run-integration-tests.sh to make
[arvados-workbench2.git] / tools / run-integration-tests.sh
index 140de3c8ad2fcbcf9c7bce5ba0e7d7c91bfe8c77..fbc456bd5e0bdf567d1a1f3de66488a8f139aa91 100755 (executable)
@@ -10,7 +10,7 @@ cleanup() {
     set +e +o pipefail
     kill ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID}
     wait ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID} || true
-    if [ "${CLEANUP_ARVADOS_DIR}" -eq "1" ]; then
+    if [ ${CLEANUP_ARVADOS_DIR} -eq 1 ]; then
         rm -rf ${ARVADOS_DIR}
     fi
     echo >&2 "done"
@@ -36,9 +36,9 @@ usage() {
 # Allow self-signed certs on 'wait-on'
 export NODE_TLS_REJECT_UNAUTHORIZED=0
 
+ARVADOS_DIR="unset"
 CLEANUP_ARVADOS_DIR=0
 CYPRESS_MODE="run"
-ARVADOS_DIR=`mktemp -d`
 WB2_DIR=`pwd`
 
 while getopts "ia:w:" o; do
@@ -61,6 +61,13 @@ while getopts "ia:w:" o; do
 done
 shift $((OPTIND-1))
 
+if [ "${ARVADOS_DIR}" = "unset" ]; then
+  echo "ARVADOS_DIR is unset, creating a temporary directory for new checkout"
+  ARVADOS_DIR=`mktemp -d`
+fi
+
+echo "ARVADOS_DIR is ${ARVADOS_DIR}"
+
 ARVADOS_LOG=${ARVADOS_DIR}/arvados.log
 ARVADOS_CONF=${WB2_DIR}/tools/arvados_config.yml